## view.element
Class FormTable

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table
                      view.element.FormTable

Direct Known Subclasses:
  EditTournamentPage.FieldTable

    public class FormTable

extends Table

Constructor Summary
`FormTable()` Constructs the element.

Method Summary
`FormTable` `addField(java.lang.String label, HtmlObject field)` Adds a generic labeled HTML object to the table.
`FormTable` `addTextField(java.lang.String label, java.lang.String name)` As above but with an empty value String.
`FormTable` `addTextField(java.lang.String label, java.lang.String name, java.lang.String value)` Adds a labeled text field to the table.

Methods inherited from class view.xhtml.Table
`addTr`

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormTable

    public FormTable()

  Constructs the element.

Method Detail

### addTextField

    public FormTable addTextField(java.lang.String label,
                                  java.lang.String name,
                                  java.lang.String value)

  Adds a labeled text field to the table.

  Parameters:
    `label` - the label of the field.
    `name` - the "name" attribute of the field.
    `value` - the "value" attribute of the field.
  Returns:
    itself.

### addTextField

    public FormTable addTextField(java.lang.String label,
                                  java.lang.String name)

  As above but with an empty value String.

### addField

    public FormTable addField(java.lang.String label,
                              HtmlObject field)

  Adds a generic labeled HTML object to the table.

  Parameters:
    `label` - the label of the object.
    `field` - the object itself.
  Returns:
    itself.